<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="service-education" />
        <module name="service-ucenter" />
        <module name="api_gateway" />
        <module name="service-file" />
        <module name="service_base" />
        <module name="service-payment" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="common_utils" target="1.8" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="api_gateway" options="-parameters" />
      <module name="common_utils" options="-parameters" />
      <module name="service-education" options="-parameters" />
      <module name="service-file" options="-parameters" />
      <module name="service-payment" options="-parameters" />
      <module name="service-ucenter" options="-parameters" />
      <module name="service_base" options="-parameters" />
    </option>
  </component>
</project>